# Class BaseError

#### Hierarchy

- Error
  - BaseError
    - HttpStatusError

- Defined in src/errors/baseError.ts:13

#####
Index

### Constructors

constructor

### Properties

cause?
code
message
name
request
requestMeta?
response
stack?

## Constructors

### constructor

- new BaseError(params: BaseErrorParams): BaseError

- #### Parameters

  - ##### params: BaseErrorParams

  #### Returns BaseError

  Overrides Error.constructor

  - Defined in src/errors/baseError.ts:19

## Properties

### `Optional` cause

cause?: Error

Inherited from Error.cause

- Defined in node_modules/typescript/lib/lib.es2022.error.d.ts:26

### code

code: number

- Defined in src/errors/baseError.ts:17

### message

message: string

Inherited from Error.message

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1029

### name

name: string

Inherited from Error.name

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1028

### request

request: Request

- Defined in src/errors/baseError.ts:15

### `Optional` requestMeta

requestMeta?: RequestMeta

- Defined in src/errors/baseError.ts:16

### response

response: FetchAdapterResponse

- Defined in src/errors/baseError.ts:14

### `Optional` stack

stack?: string

Inherited from Error.stack

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1030

Generated using TypeDoc